<?php
/**
 * This functions makes the theme compatible with WPML Plugin
 *
 *
 * @package Catch Themes
 * @subpackage Adventurous
 * @since Adventurous 1.0
 */
 

if ( ! function_exists( 'adventurous_wpml_invalidcache' ) ) :
/**
 * Template for Clearing WPML Invalid Cache
 *
 * To override this in a child theme
 * simply create your own adventurous_wpml_invalidcache(), and that function will be used instead.
 *
 * @since Adventurous 1.0
 */
function adventurous_wpml_invalidcache( $menu_item ) {
	delete_transient( 'adventurous_post_sliders' );
	delete_transient( 'adventurous_page_sliders' );
	delete_transient( 'adventurous_category_sliders' );
	delete_transient( 'adventurous_image_sliders' );
	delete_transient( 'adventurous_homepage_headline' );
	delete_transient( 'adventurous_homepage_featured_content' );
	delete_transient( 'adventurous_footer_content' );	
	delete_transient( 'adventurous_footercode' );
	delete_transient( 'adventurous_featured_image' );

} // adventurous_wpml_invalidcache
endif;

add_action( 'after_setup_theme', 'adventurous_wpml_invalidcache' );